routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use Illuminate\Support\Facades\App;
use Barryvdh\DomPDF\Facade\PDF;
use App\Http\Controllers\ClienteController;
use App\Http\Controllers\ProductoController;
use App\Http\Controllers\BoletaController;
use App\Http\Controllers\AlumnoMateriaController;
use App\Http\Controllers\ImprimirController;
use App\Http\Controllers\ImprimirPdfController;

use App\Models\Boleta;
use App\Models\Cliente;
use App\Models\Producto;
// use App\Models\Boleta;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/sistema_cotizaciones',function(){
    return view('sistema_cotizaciones.clientes.index');
});

Route::get('/administracion',function(){
    return view('sistema_cotizaciones.administracion.index');
})->name('administracion');

Route::get('/crear_usuario',function(){
    return view('sistema_cotizaciones.clientes.create');
})->name('crear_usuario');

Route::get('/boletas',function(){
$boletas = Boleta::all();
// return $boletas;
return view('boletas',compact('boletas'));
});

Route::get('/clientes',function(){
    $clientes = Cliente::all();
    return $clientes;
});

 Route::resource('/clientes',ClienteController::class);

 Route::resource('/productos',ProductoController::class);

 Route::resource('/cotizaciones',BoletaController::class);
//

Route::resource('/alumno_materia',AlumnoMateriaController::class);


Route::get("imprimir_pdf", function (Request $request) {
    $dompdf = App::make("dompdf.wrapper");
    $dompdf->loadView("ejemplo", [
        "nombre" => "Luis Cabrera Benito",
    ]);
    // return $dompdf->stream();
    // return $dompdf->download("mi_archivo.pdf");//Descargar
    $dompdf->save("archivos_pdf/mi_archivo.pdf"); //guardar en carpeta public
    return "PDF guardado";//redirect o save
    // combinadolos
    // return PDF::loadFile(public_path().'/myfile.html')->save('/path-to/my_stored_file.pdf')->stream('download.pdf');
});

// Route::get('/imprimir', GeneradorController::class)-name('print');

Route::get('/pdf',function(){

    $today = "1982";
    $pdf = PDF::loadView('ejemplo2', compact('today'));
    // return $pdf->download('ejemplo2.pdf');
    return $pdf->stream('ejemplo2.pdf');

    // $pdf = PDF::loadView('pdf.invoice', $data);
    // return $pdf->download('invoice.pdf');
});

Route::resource('/imprimir_cotizacion',ImprimirController::class);

Route::get('/mostrarPdf',function(){
$pdf = new ImprimirPdfController();
return $pdf->mostrarPdf($id = 3);
})->name('mostrarPdf');

resources/views/sistema_cotizaciones/cotizaciones/create.blade.php
@extends('sistema_cotizaciones.main.app2')
@section('content')
<div class="container-fluid">
    <h1>Crear Cotización</h1>
    <hr>
<p id=""></p>
    <form method="POST" action="{{ route('cotizaciones.store') }}"  role="form">
    {{ csrf_field() }}
    <div>
        <label for="cliente"><b>Cliente:</b></label>
        <select name="cliente" class="form form-control">
            @foreach($clientes as $clie)
              <option value="{{$clie->id}}">  {{$clie->id}} &nbsp; {{$clie->nombres}} &nbsp; {{$clie->apellido_paterno}}</option>
            @endforeach
        </select>
        <!-- <input type="text" class="form form-control" name="nombres" placeholder="Nombres"/> -->
    </div>
    <br>
        <div><label for="producto"><b>Agregar Productos:</b></label>
    </div>

    <div class="row" style="border:solid 1px #aaa;padding:10px;">

        @foreach($productos as $prod)
        <div class="col col-lg-4">
            <div class="card bg-warning mb-2 mt-3">
                <!-- <img src="/storage/producto{{$prod->id}}.jpg" alt="img" height="300"/> -->
                <img src="/storage/{{$prod->imagen}}" alt="img" height="300"/>
              <div class="card-body">
              <label for="producto{{$prod->id}}"><b>Producto #{{$prod->id}}:</b></label>
              <p style="background-color:#fff;">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</p>
              <input type="hidden" name="producto[]" class="form form-control" value="{{$prod->id}}"/>              
                    <br>
                    <label for="cantidad{{$prod->id}}">Cantidad:{{$prod->id}}</label>
                    <input type="number" class="form form-control" name="cantidad[]" placeholder="0" value="0"/>
              </div>
            </div>
        </div>
         @endforeach




<!--  -->

  <!-- <select name="producto1" class="form form-control"> -->
                      <!-- @foreach($productos as $prod) -->
                      <!-- <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option> -->
                      <!-- @endforeach -->
                <!-- </select> -->
        <!-- <div class="col col-lg-4"> -->
            <!-- <div class="card bg-warning"> -->
              <!-- <div class="card-body"> -->
              <!-- <label for="producto1"><b>Producto #1:</b></label> -->
                <!-- <select name="producto1" class="form form-control"> -->
                      <!-- @foreach($productos as $prod) -->
                      <!-- <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option> -->
                      <!-- @endforeach -->
                <!-- </select> -->
                    <!-- <br> -->
                    <!-- <label for="cantidad1">Cantidad:</label> -->
                    <!-- <input type="number" class="form form-control" name="cantidad1" value="0"/> -->
              <!-- </div> -->
            <!-- </div> -->
        <!-- </div> -->
<!--  -->
        <!-- <div class="col col-lg-4"> -->
            <!-- <div class="card bg-warning"> -->
              <!-- <div class="card-body"> -->
              <!-- <label for="producto2"><b>Producto #2:</b></label> -->
                <!-- <select name="producto2" class="form form-control"> -->
                      <!-- @foreach($productos as $prod) -->
                      <!-- <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option> -->
                      <!-- @endforeach -->
                <!-- </select> -->
                    <!-- <br> -->
                    <!-- <label for="cantidad2">Cantidad:</label> -->
                    <!-- <input type="number" class="form form-control" name="cantidad2" value="0"/> -->
              <!-- </div> -->
            <!-- </div> -->
        <!-- </div> -->
<!--  -->
        <!-- <div class="col col-lg-4"> -->
            <!-- <div class="card bg-warning"> -->
              <!-- <div class="card-body"> -->
              <!-- <label for="producto3"><b>Producto #3:</b></label> -->
                <!-- <select name="producto3" class="form form-control"> -->
                      <!-- @foreach($productos as $prod) -->
                      <!-- <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option> -->
                      <!-- @endforeach -->
                <!-- </select> -->
                    <!-- <br> -->
                    <!-- <label for="cantidad3">Cantidad:</label> -->
                    <!-- <input type="number" class="form form-control" name="cantidad3" value="0"/> -->
              <!-- </div> -->
            <!-- </div> -->
        <!-- </div> -->


<!--  -->
    </div>


<br>
<div>
<input type="submit"  value="Guardar" class="btn btn-primary form-control"/>
    <!-- <button type="submit" class="btn btn-primary form-control">Enviar</button> -->
</div>

</form>
</div>
@endsection



<!-- <div class="col col-lg-4 form form-control"> -->
        <!-- <select name="producto" class="form form-control"> -->
        <!-- @foreach($productos as $prod) -->
              <!-- <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option> -->
            <!-- @endforeach -->
        <!-- </select> -->
<!--  -->
<!--  -->
        <!-- <label for="cantidad">Cantidad:</label> -->
        <!-- <input type="text" class="form form-control" name="cantidad" placeholder="cantidad"/> -->
    <!-- </div> -->
    <!-- <div class="col col-lg-4 form form-control"> -->
        <!-- <select name="producto" class="form form-control"> -->
        <!-- @foreach($productos as $prod) -->
              <!-- <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option> -->
            <!-- @endforeach -->
        <!-- </select> -->
<!--  -->
<!--  -->
        <!-- <label for="cantidad">Cantidad:</label> -->
        <!-- <input type="text" class="form form-control" name="cantidad" placeholder="cantidad"/> -->
    <!-- </div> -->
    <!-- <div class="col col-lg-4 form form-control"> -->
        <!-- <select name="producto" class="form form-control"> -->
        <!-- @foreach($productos as $prod) -->
              <!-- <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option> -->
            <!-- @endforeach -->
        <!-- </select> -->
      <!--  -->
        <!-- <label for="cantidad">Cantidad:</label> -->
        <!-- <input type="text" class="form form-control" name="cantidad" placeholder="cantidad"/> -->
    <!-- </div> -->
<!--  -->

resources/views/sistema_cotizaciones/cotizaciones/create3.blade.php
@extends('sistema_cotizaciones.main.app2')
@section('content')
<div class="container-fluid">
    <h1>Crear Cotización</h1>
    <hr>

    <form method="POST" action="{{ route('cotizaciones.store') }}"  role="form">
    {{ csrf_field() }}
    <div>
        <label for="cliente">Cliente:</label>
        <select name="cliente" class="form form-control">
            @foreach($clientes as $clie)
              <option value="{{$clie->id}}">  {{$clie->id}} &nbsp; {{$clie->nombres}} &nbsp; {{$clie->apellido_paterno}}</option>
            @endforeach
        </select>
        <!-- <input type="text" class="form form-control" name="nombres" placeholder="Nombres"/> -->
    </div>
    <br>
        <div><label for="producto"><b>Agregar Productos:</b></label>
    </div>

    <div class="row" style="border:solid 1px #aaa;padding:10px;">
<!--  -->
        <div class="col col-lg-4">
            <div class="card bg-warning">
              <div class="card-body">
              <label for="producto1"><b>Producto #1:</b></label>
                <select name="producto1" class="form form-control">
                      @foreach($productos as $prod)
                      <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option>
                      @endforeach
                </select>
                    <br>
                    <label for="cantidad1">Cantidad:</label>
                    <input type="number" class="form form-control" name="cantidad1" value="0"/>
              </div>
            </div>
        </div>

        <div class="col col-lg-4">
            <div class="card bg-warning">
              <div class="card-body">
              <label for="producto2"><b>Producto #2:</b></label>
                <select name="producto2" class="form form-control">
                      @foreach($productos as $prod)
                      <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option>
                      @endforeach
                </select>
                    <br>
                    <label for="cantidad2">Cantidad:</label>
                    <input type="number" class="form form-control" name="cantidad2" value="0"/>
              </div>
            </div>
        </div>

        <div class="col col-lg-4">
            <div class="card bg-warning">
              <div class="card-body">
              <label for="producto3"><b>Producto #3:</b></label>
                <select name="producto3" class="form form-control">
                      @foreach($productos as $prod)
                      <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option>
                      @endforeach
                </select>
                    <br>
                    <label for="cantidad3">Cantidad:</label>
                    <input type="number" class="form form-control" name="cantidad3" value="0"/>
              </div>
            </div>
        </div>


<!--  -->
    </div>


<br>
<div>
<input type="submit"  value="Guardar" class="btn btn-primary form-control"/>
    <!-- <button type="submit" class="btn btn-primary form-control">Enviar</button> -->
</div>

</form>
</div>
@endsection



<!-- <div class="col col-lg-4 form form-control"> -->
        <!-- <select name="producto" class="form form-control"> -->
        <!-- @foreach($productos as $prod) -->
              <!-- <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option> -->
            <!-- @endforeach -->
        <!-- </select> -->
<!--  -->
<!--  -->
        <!-- <label for="cantidad">Cantidad:</label> -->
        <!-- <input type="text" class="form form-control" name="cantidad" placeholder="cantidad"/> -->
    <!-- </div> -->
    <!-- <div class="col col-lg-4 form form-control"> -->
        <!-- <select name="producto" class="form form-control"> -->
        <!-- @foreach($productos as $prod) -->
              <!-- <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option> -->
            <!-- @endforeach -->
        <!-- </select> -->
<!--  -->
<!--  -->
        <!-- <label for="cantidad">Cantidad:</label> -->
        <!-- <input type="text" class="form form-control" name="cantidad" placeholder="cantidad"/> -->
    <!-- </div> -->
    <!-- <div class="col col-lg-4 form form-control"> -->
        <!-- <select name="producto" class="form form-control"> -->
        <!-- @foreach($productos as $prod) -->
              <!-- <option value="{{$prod->id}}">{{$prod->id}}&nbsp;{{$prod->descripcion}} &nbsp; {{$prod->precio}} &nbsp; {{$prod->stock}}</option> -->
            <!-- @endforeach -->
        <!-- </select> -->
      <!--  -->
        <!-- <label for="cantidad">Cantidad:</label> -->
        <!-- <input type="text" class="form form-control" name="cantidad" placeholder="cantidad"/> -->
    <!-- </div> -->
<!--  -->

resources/views/sistema_cotizaciones/cotizaciones/imprimir_cotizacion.blade.php
<!DOCTYPE html>
<html lang="es">
    <head>
        <meta charset="UTF-8">
        <title>Document</title>
        <style>
        h1{
        text-align: center;
        text-transform: uppercase;
        }
        .contenido{
        font-size: 16px;
        }

    </style>
    </head>
    <body>
        <h1>COTIZACIÓN</h1>
        <hr>

<div class="contenido">
    <div class="container bg-light" style="border:solid 1px #aaa;height:550px;margin-top:5px;margin-left:-10px;padding:10px;">
<br>
    <h3>Detalle de la Cotización #{{$cotizacion->id}}</h3>
    <hr>
        <div style="border:1px solid #ccc;width:100%;">
            <table Id="tblCotizacionPdf" class="table table-hover table-bordered table-striped text-center">
                    <tr>
                        <th>Código</th>
                        <th>Descripción</th>
                        <th>Prec. Unit</th>
                        <th>Cant.</th>
                        <th>Total</th>
                    </tr>
                    @foreach($cotizacion->productos as $prod)
                    @php
                        $x = rand(00005, 00015)
                    @endphp
                       <tr>
                           <td width="70" align="center">{{$x}}{{$cotizacion->id}}</td><!-- 23400{{$prod->id}}-->
                           <td width="190" align="center">{{$prod->descripcion}}</td>
                           <td width="100" align="center">{{$prod->precio}}</td>
                           <td width="60"  align="center">{{$prod->pivot->cantidad}}</td>
                           <td width="80" align="center">{{$prod->pivot->cantidad*$prod->precio}} </td>
                        </tr>
<!-- {{$cotizacion->total}} -->
                   @endforeach
                   <!-- <tr style="margin-top:20px;"><td colspan="4">$/Total</td><td>{{$cotizacion->total}}</td></tr> -->
            </table>
            <hr>
            <br><br><br>
            <div style="border:solid 1px #ccc;">
            <table Id="tblTotal" class="table table-hover table-bordered table-striped">
                <tr style="margin-top:20px;font-size:20px;font-weight:bold;">
                    <td width="300">&nbsp;&nbsp;&nbsp;$/Total</td><td width="150"></td><td  style="color:red;">{{$cotizacion->total}}</td>
                </tr>
            </table>
            </div>
        </div>
    <br>
   </div>
    <br>
<center><p><b>*** GRACIAS POR SU PREFERENCIA ***</b></p></center>


            <!-- <p id="primero">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Labore nihil illo odit aperiam alias rem voluptatem odio maiores doloribus facere recusandae suscipit animi quod voluptatibus, laudantium obcaecati quisquam minus modi.</p> -->
            <!-- <p id="segundo">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Labore nihil illo odit aperiam alias rem voluptatem odio maiores doloribus facere recusandae suscipit animi quod voluptatibus, laudantium obcaecati quisquam minus modi.</p> -->
            <!-- <p id="tercero">Lorem ipsum dolor sit amet, consectetur adipisicing elit. Labore nihil illo odit aperiam alias rem voluptatem odio maiores doloribus facere recusandae suscipit animi quod voluptatibus, laudantium obcaecati quisquam minus modi.</p> -->
        </div>

<style>
    #tblCotizacionPdf th{
        background-color:#aaa;
    }
    #tblCotizacionPdf td{

    }
</style>
    </body>
</html>

resources/views/sistema_cotizaciones/cotizaciones/index.blade.php
@extends('sistema_cotizaciones.main.app2')
@section('content')
<div class="container-fluid bg-light" style="border:solid 1px #aaa;height:auto;margin-top:5px;margin-left:-10px;">
<br>
    <h2>Listado de Cotizaciones</h2>

    <hr>
    <br>
    <table id="tblCotizaciones" class="table table-hover table-striped text-center" style="font-size:14px;">
        <thead>
            <tr>
                <th>#</th>
                <th>N° COTIZACIÓN</th>
                <th>FECHA COTIZACIÓN</th>
                <th>MONTO TOTAL</th>
                <th>CLIENTE</th>
                <th>DETALLE COTIZACIÓN</th>

            </tr>
        </thead>
        <tbody>
        @php
            $i = 0
        @endphp
            @foreach($cotizaciones as $cot)
            <tr>
                <td>{{++$i}}</td>
                <td>{{$cot->id}}</td>
                <td>{{$cot->fecha}}</td>
                <td>{{$cot->total}}</td>
                @foreach($clientes as $clie)
                @if($clie->id == $cot->cliente_id)
                <!-- <td>{{$cot->cliente_id}}</td> -->
                <td>{{$clie->nombres}}&nbsp;{{$clie->apellido_paterno}}&nbsp;{{$clie->apellido_materno}}</td>
                @endif
                @endforeach
                <td>
                <a href="{{route('cotizaciones.show',$cot->id)}}"><i class="fa fa-file-text fa-2x text-success" title="Ver detalle cotización #{{$cot->id}}"></i></a>
                    <!-- <a id="{{$cot->id}}" class="abrirmodal"><i class="fa fa-file-text fa-2x text-success" title="Ver detalle cotización #{{$cot->id}}"></i></a> -->
                </td>
            @endforeach
        </tbody>
    </table>
</div>


</tr>
<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel"></h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <div class="modal-body">

      </div>
      <div class="modal-footer">
        <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
        <button type="button" class="btn btn-primary">Save changes</button>
      </div>
    </div>
  </div>
</div>
<!-- Fin Modal -->






<script>
$( document ).ready(function() {
    $("#exampleModal").modal('hide');
$(".abrirmodal").on("click",function(){
     var modalId = this.id;
     alert(modalId);
    $(".modal-title").html('Detalle de la Cotización #'+modalId);
    $(".modal-body").html(`<div><table Id="tblDetalle" class="table table-hover table-condensed"><thead><tr><th>Código</th><th>Descripción</th><th>$/U</th><th>Cantidad</th><th>$/Total</th><tr></thead><tbody>@foreach($cotizaciones as $cot)@if($cot->id)<tr><td>{{$cot->id}}<td><td></td><td></td><td></td><td></td></tr> @endif @endforeach</tbody></table></div>`);

    $("#exampleModal").modal('show');
})
});
</script>


@endsection

resources/views/sistema_cotizaciones/cotizaciones/show.blade.php
@extends('sistema_cotizaciones.main.app2')
@section('content')
<div class="container bg-light" style="border:solid 1px #aaa;height:550px;margin-top:5px;margin-left:-10px;">
<br>
    <h2>Detalle de la Cotización #{{$cotizacion->id}}</h2>
    <hr>
    <div style="border:1px solid #ccc;">
        <table Id="tblDetalle" class="table table-hover table-bordered table-striped">
                <tr><th>Código Producto</th><th>Descripción</th><th>$/U</th><th>Cantidad</th><th>Total</th></tr>
                    @foreach($cotizacion->productos as $prod)
                    @php
                        $x = rand(23005, 23200);
                        $y = rand(123,199);
                    @endphp
                    <tr>
                        <td>{{$x}}{{$y}}{{$cotizacion->id}}</td>
                        <td>{{$prod->descripcion}}</td>
                        <td align="center">{{$prod->precio}}</td>
                        <td align="center">{{$prod->pivot->cantidad}}</td>
                        <td align="center">{{$prod->pivot->cantidad*$prod->precio}}
                    </tr>
                    @endforeach
        </table>
        <br>
        <table class="table table-bordered">
              <tr style="height:50px;">
                <td width="200"></td>
                <td width="200"></td>
                <td width="200"></td>
                <th align="left" width="200" style="font-size:20px;color:black;background:#999D9C;">$/Total</th>
                <td align="center" style="font-size:20px;color:red;font-weight:bold;">{{$cotizacion->total}}</td>
               </tr>
        </table>
    </div>
    <br>
    <div class="row"><div class="col col-lg-12">
        <form action="{{route('imprimir_cotizacion.store',$cotizacion->id)}}" method="POST" role="form">
            {{csrf_field()}}
        <!-- <a href="{{route('imprimir_cotizacion.index')}}" class="btn btn-primary form form-control" target="_blank">Imprimir Cotización</a> -->
        <!-- <a class="btn btn-primary form form-control" target="_blank"><button type="submit">Imprimir Cotización</button></a> -->
        <input type="hidden" name="idCotizacion" id="idCotizacion" value="{{$cotizacion->id}}">
        <a><button type="submit" class="btn btn-primary form form-control" formtarget="_blank">Imprimir Cotización</button></a>
    </form>
    </div></div>
    <br>
</div>
@endsection
<style>
    #tblDetalle th{
        background-color:#aaa;
        width: 200px;
        text-align:center;
    }
</style>

resources/views/sistema_cotizaciones/cotizaciones/show2.blade.php
@extends('sistema_cotizaciones.main.app2')
@section('content')
<div class="container bg-light" style="border:solid 1px #aaa;height:550px;margin-top:5px;margin-left:-10px;">
<br>
    <h2>Detalle de la Cotización #{{$cotizacion->id}}</h2>
    <hr>
    <div style="border:1px solid #ccc;">
        <table Id="tblDetalle" class="table table-hover table-bordered table-striped">
                <tr><th>Código Producto</th><td>23400{{$cotizacion->id}}</td></tr>
                    @foreach($cotizacion->productos as $prod)
                        <tr><th>Descripción</th><td>{{$prod->descripcion}}</td></tr>
                        <tr><th>$/U</th><td>{{$prod->precio}}</td></tr>
                        <tr><th>Cantidad</th><td>{{$prod->pivot->cantidad}}</td></tr>
                    @endforeach
                <tr><th>$/Total</th><td>{{$cotizacion->total}}</td></tr>
        </table>
    </div>
    <br>
    <div class="row"><div class="col col-lg-12">
        <form action="{{route('imprimir_cotizacion.store',$cotizacion->id)}}" method="POST" role="form">
            {{csrf_field()}}
        <!-- <a href="{{route('imprimir_cotizacion.index')}}" class="btn btn-primary form form-control" target="_blank">Imprimir Cotización</a> -->
        <!-- <a class="btn btn-primary form form-control" target="_blank"><button type="submit">Imprimir Cotización</button></a> -->
        <input type="hidden" name="idCotizacion" id="idCotizacion" value="{{$cotizacion->id}}">
        <a><button type="submit" class="btn btn-primary form form-control" formtarget="_blank">Imprimir Cotización</button></a>
    </form>
    </div></div>
    <br>
</div>
@endsection
<style>
    #tblDetalle th{
        background-color:#aaa;
        width: 200px;
    }
</style>